For the complete documentation index, see llms.txt. This page is also available as Markdown.

List templates

get
Responses
200

OK

application/json
get/public/v1/notifications/templates
GET /public/v1/notifications/templates HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "$meta": {
    "pagination": {
      "offset": 1,
      "limit": 1,
      "total": 1
    },
    "omitted": [
      "text"
    ]
  },
  "data": [
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "activated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "deleted": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "disabled": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "revision": 1,
      "category": {
        "id": "text",
        "name": "text",
        "revision": 1,
        "description": "text",
        "lastUsed": "2026-01-01T00:00:00.000Z"
      },
      "criteria": {
        "accountTypes": [
          "text"
        ],
        "filterCondition": "text",
        "objectType": "text",
        "recipients": {
          "selector": "text"
        }
      },
      "defaultVariant": {
        "id": "text",
        "revision": 1,
        "default": true,
        "languageCode": "text",
        "status": "text"
      },
      "description": "text",
      "lastUsed": "2026-01-01T00:00:00.000Z",
      "owner": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      },
      "statistics": {
        "month": 1,
        "today": 1,
        "week": 1
      },
      "status": "text",
      "variants": [
        {
          "id": "text",
          "revision": 1,
          "default": true,
          "languageCode": "text",
          "status": "text"
        }
      ],
      "externalId": "text"
    }
  ]
}

Last updated

Was this helpful?